<?xml version="1.0"?>
<instrumentationManifest xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd" xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
	<instrumentation>
		<counters schemaVersion="1.1" xmlns="http://schemas.microsoft.com/win/2005/12/counters">
			<provider providerName="VSAPICounters" providerGuid="{65068b9a-8dbb-4f9d-98bb-085e16dfbcbf}" applicationIdentity="tmxpflt.sys" resourceBase="0" providerType="kernelMode" callback="custom">
				<counterSet name="RealtimeScan" symbol="RealtimeScan" guid="{8658b847-9891-4cba-ad29-9e97cb6e8742}" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan" description="[Tmxpflt ver: 22.610.1017] This counter set displays counters for realtime scan" instances="multipleAggregate">
					<structs>
						<struct name="RltScanVal" type="REALTIME_SCAN_VALUES"></struct>
					</structs>
					<counter name="Reserved" symbol="Reserved" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.Reserved" description="Reserved." id="1" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="Reserved"></counter>
					<counter name="AvgScanTime" symbol="AvgScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.AvgScanTime" description="This counter displays average realtime scan time in an interval time." id="2" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="AvgScanTime"></counter>
					<counter name="MaxScanTime" symbol="MaxScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.MaxScanTime" description="This counter displays maximum realtime scan time" id="3" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="MaxScanTime"></counter>
					<counter name="ScanFileCnt" symbol="ScanFileCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.ScanFileCnt" description="This counter displays scan file count in an interval time" id="4" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="ScanFileCnt"></counter>
					<counter name="AggreScanTime" symbol="AggreScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.AggreScanTime" description="This counter displays aggregate realtime scan time in an interval time." id="5" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="AggreScanTime"></counter>
					<counter name="LongScanCnt" symbol="LongScanCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.LongScanCnt" description="This counter displays how many longer scan time in an interval time." id="6" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="LongScanCnt"></counter>
					<counter name="MomentHighThreadCnt" symbol="MomentHighThreadCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.MomentHighThreadCnt" description="This counter displays how many scanning thread in an interval time." id="7" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="MomentHighThreadCnt"></counter>
					<counter name="FreqProcessCnt" symbol="FreqProcessCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.FreqProcessCnt" description="This counter displays times of same frequent process in a short time." id="8" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="FreqProcessCnt"></counter>
					<counter name="KeLongScanCnt" symbol="KeLongScanCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.KeLongScanCnt" description="This counter displays kernel long scan." id="9" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="KeLongScanCnt"></counter>
					<counter name="MaxMemUsage" symbol="MaxMemUsage" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.MaxMemUsage" description="This counter displays maximum kernel mode memory usage in an interval time." id="10" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="MaxMemUsage"></counter>
					<counter name="NotFreeCnt" symbol="NotFreeCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.NotFreeCnt" description="This counter displays notFreeCnt." id="11" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="NotFreeCnt"></counter>
					<counter name="FileObjCnt" symbol="FileObjCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.FileObjCnt" description="This counter displays FileObjCnt." id="12" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="FileObjCnt"></counter>
					<counter name="PEObjCnt" symbol="PEObjCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.PEObjCnt" description="This counter displays PEObjCnt." id="13" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="PEObjCnt"></counter>
					<counter name="VSAPIXObjCnt" symbol="VSAPIXObjCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXObjCnt" description="This counter displays VSAPIXObjCnt." id="14" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXObjCnt"></counter>
					<counter name="PEScanTime" symbol="PEScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.PEScanTime" description="This counter displays PEScanTime." id="15" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="PEScanTime"></counter>
					<counter name="PEFileCnt" symbol="PEFileCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.PEFileCnt" description="This counter displays PEFileCnt." id="16" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="PEFileCnt"></counter>
					<counter name="PEVSAPIXScanTime" symbol="PEVSAPIXScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.PEVSAPIXScanTime" description="This counter displays PEVSAPIXScanTime." id="17" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="PEVSAPIXScanTime"></counter>
					<counter name="PEVSAPIXFileCnt" symbol="PEVSAPIXFileCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.PEVSAPIXFileCnt" description="This counter displays PEVSAPIXFileCnt." id="18" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="PEVSAPIXFileCnt"></counter>
					<counter name="VSAPIXFltPackerCnt" symbol="VSAPIXFltPackerCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXFltPackerCnt" description="This counter displays VSAPIXFltPackerCnt." id="19" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXFltPackerCnt"></counter>
					<counter name="VSAPIXFltOLEEmbCnt" symbol="VSAPIXFltOLEEmbCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXFltOLEEmbCnt" description="This counter displays VSAPIXFltOLEEmbCnt." id="20" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXFltOLEEmbCnt"></counter>
					<counter name="VSAPIXFltImgSizeCnt" symbol="VSAPIXFltImgSizeCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXFltImgSizeCnt" description="This counter displays VSAPIXFltImgSizeCnt." id="21" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXFltImgSizeCnt"></counter>
					<counter name="VSAPIXFltCorruptCnt" symbol="VSAPIXFltCorruptCnt" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXFltCorruptCnt" description="This counter displays VSAPIXFltCorruptCnt." id="22" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXFltCorruptCnt"></counter>
					<counter name="VSAPIXScanTime" symbol="VSAPIXScanTime" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.VSAPIXScanTime" description="This counter displays VSAPIXScanTime." id="23" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="VSAPIXScanTime"></counter>
					<counter name="Reserved1" symbol="Reserved1" uri="TrendMicro.VSAPI.Performance.Counter.RealtimeScan.Reserved1" description="This counter displays Reserved1." id="24" type="perf_counter_rawcount" detailLevel="standard" aggregate="sum" struct="RltScanVal" field="Reserved1"></counter>
				</counterSet>
			</provider>
		</counters>
	</instrumentation>
</instrumentationManifest>
